﻿Public Class FrmStockIn
    Public SelectedItemId = 0
    Public SelectedItemType = ""

    Private SaveType = 0
    Private SelectedStockId = 0

    Private Sub FrmStockIn_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Query(String.Format("SELECT stock.id AS `id`, item.type AS `Item type`, item.name AS `Name`, item.description AS `Description`, SUM(stock.quantity) AS `Quantity`, item.price AS `Price` FROM `stock_in` AS stock INNER JOIN items AS item ON stock.item_id = item.id INNER JOIN users as user ON stock.user_id = user.id WHERE stock.user_id = {0} GROUP BY `Name`", UserId), DtgStockIn)
    End Sub

    Private Sub BtnSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSearch.Click
        FrmStockInSearch.ShowDialog()
    End Sub

    Private Sub BtnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSave.Click
        Dim StockCount = GetSingleValue(String.Format("SELECT COUNT(stock.id) FROM `stock_in` AS stock INNER JOIN items AS item ON stock.item_id = item.id WHERE item.type='{0}' AND item.name='{1}'", TxtType.Text, TxtName.Text))
        Dim StockId = GetSingleValue(String.Format("SELECT stock.id FROM `stock_in` AS stock INNER JOIN items AS item ON stock.item_id = item.id WHERE item.type='{0}' AND item.name='{1}'", TxtType.Text, TxtName.Text))
        Dim StockQuantity = GetSingleValue("SELECT quantity FROM stock_in WHERE id=" & StockId)
        Dim TotalStockQuantity As Integer = 0

        If TxtType.Text = "" And TxtName.Text = "" And TxtQuantity.Text = "" And TxtPrice.Text = "" And SelectedItemId = 0 Then
            MessageBox.Show("Please provide all the needed data", PROGRAM_NAME, MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        Else
            If SaveType = 0 Then
                If StockCount = 0 Then
                    Query("Added a new stock successfully", String.Format("INSERT INTO `stock_in`(`item_id`, `user_id`, `quantity`) VALUES ({0},{1},{2})", SelectedItemId, UserId, TxtQuantity.Text))
                Else
                    TotalStockQuantity = StockQuantity + Val(TxtQuantity.Text)
                    Query("Added a new stock successfully", String.Format("UPDATE `stock_in` SET `item_id`={0},`user_id`={1},`quantity`={2} WHERE id={3}", SelectedItemId, UserId, TotalStockQuantity, StockId))
                End If

                RecordTransaction("Stock in", String.Format("Added {0} {1} worth {2}", TxtQuantity.Text, TxtName.Text, TxtPrice.Text))
            ElseIf SaveType = 1 Then
                Query("Updated a stock successfully", String.Format("UPDATE `stock_in` SET `item_id`={0},`user_id`={1},`quantity`={2} WHERE id={3}", SelectedItemId, UserId, TxtQuantity.Text, SelectedStockId))
                RecordTransaction("Stock in", String.Format("Updated {0} {1} worth {2}", TxtQuantity.Text, TxtName.Text, TxtPrice.Text))
            End If

            SaveType = 0
            ClearInputs(GrpItemDetails)
            FrmStockIn_Load(sender, e)
        End If
    End Sub

    Private Sub BtnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Close()
    End Sub

    Private Sub BtnClearAll_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnClearAll.Click
        SaveType = 0
        SelectedStockId = 0
        SelectedItemId = 0
        ClearInputs(GrpItemDetails)
    End Sub

    Private Sub DtgStockIn_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgStockIn.CellClick

        If DtgStockIn.Rows.Count > 0 Then
            With DtgStockIn.CurrentRow
                SaveType = 1
                SelectedStockId = .Cells("id").Value

                If Not IsDBNull(.Cells("Item Type").Value) Then
                    TxtType.Text = .Cells("Item Type").Value
                End If
                If Not IsDBNull(.Cells("Name").Value) Then
                    TxtName.Text = .Cells("Name").Value
                End If
                If Not IsDBNull(.Cells("Quantity").Value) Then
                    TxtQuantity.Text = .Cells("Quantity").Value
                End If
                If Not IsDBNull(.Cells("Price").Value) Then
                    TxtPrice.Text = .Cells("Price").Value
                End If
            End With
        End If
    End Sub

    Private Sub TxtQuantity_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TxtQuantity.KeyPress
        e.Handled = Not Char.IsNumber(e.KeyChar)
    End Sub

End Class