﻿Public Class FrmReports

    Private Sub CbCategory_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CbCategory.TextChanged
        If Not CbCategory.Text = "" Then
            If CbCategory.Text = "Products" Then
                PrintReport("SELECT DATE_FORMAT(`date_created`, '%b %d %Y %r') AS `Date`, `type` AS `Item type`, `name` AS `Item type`, `price` AS `Price`, `description` AS `Description` FROM `items`", "\Printing\AllProducts.rpt", ViewerItems)
            ElseIf CbCategory.Text = "Stock in" Then
                PrintReport(String.Format("SELECT stock.id AS `id`, item.type AS `Item type`, item.name AS `Name`, item.description AS `Description`, SUM(stock.quantity) AS `Quantity`, item.price AS `Price` FROM `stock_in` AS stock INNER JOIN items AS item ON stock.item_id = item.id INNER JOIN users as user ON stock.user_id = user.id WHERE stock.user_id = {0} GROUP BY `Name`", UserId), "\Printing\StockInProducts.rpt", ViewerItems)
            ElseIf CbCategory.Text = "Stock out" Then
                PrintReport(String.Format("SELECT stock.id AS `id`, item.type AS `Item type`, item.name AS `Item name`, SUM(stock.quantity) AS `Quantity`, item.price AS `Price`, (`Quantity` * item.price) AS `Total` FROM `stock_out` AS stock INNER JOIN items AS item ON stock.item_id = item.id INNER JOIN users as user ON stock.user_id = user.id WHERE stock.user_id = {0} GROUP BY `Name`", UserId), "\Printing\StockOutProducts.rpt", ViewerItems)
            ElseIf CbCategory.Text = "Payments" Then
                PrintReport(String.Format("SELECT user.company_name AS `Added by`, payment.`date_created` AS `Date added`, payment.`total_payment` AS `Total payment`, payment.`received_amount` AS `Received amount`, payment.`change` AS `Change` FROM `payments` AS payment INNER JOIN users AS user ON payment.user_id = user.id WHERE user.id={0}", UserId), "\Printing\Payments.rpt", ViewerItems)
            End If
        End If
    End Sub

    Private Sub FrmReports_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CbCategory.Text = CbCategory.Items(0)
    End Sub

    Private Sub CbCategory_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CbCategory.SelectedIndexChanged

    End Sub
End Class