﻿Public Class FrmStockOutSearch

    Private Sub FrmStockOutSearch_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Query(String.Format("SELECT stock.id AS `id`, item.id AS `Item id`, item.type AS `Item type`, item.name AS `Item name`, item.price AS `Price`, stock.`quantity` AS `Quantity`, stock.`released_quantity` AS `Released Quantity` FROM `stock_in` AS stock INNER JOIN items AS item ON stock.`item_id` = item.id WHERE stock.user_id={0}", UserId), DtgItems)
        DtgItems.Columns("Released Quantity").Visible = False
    End Sub

    Private Sub DtgItems_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DtgItems.CellClick


        With DtgItems.CurrentRow
            Dim RemainingQuantity = Val(.Cells("Quantity").Value) - Val(.Cells("Released Quantity").Value)


            FrmStockOutOrder.TxtType.Text = .Cells("Item type").Value
            FrmStockOutOrder.TxtName.Text = .Cells("Item name").Value
            FrmStockOutOrder.TxtPrice.Text = .Cells("Price").Value
            FrmStockOutOrder.SelectedItemId = .Cells("Item id").Value
            FrmStockOutOrder.SelectedStockInId = .Cells("id").Value
            FrmStockOutOrder.SelectedItemQuantity = RemainingQuantity

            FrmStockOutOrder.LblQtyRemaining.Text = RemainingQuantity & " pcs remaining."
            FrmStockOutOrder.LblQtyRemaining.Show()

            FrmStockOutOrder.TxtQuantity.Focus()

            Close()
        End With
    End Sub

End Class